package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.HmRightsShopOrigin;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HmRightsShopOriginMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Long id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(HmRightsShopOrigin record);

    int insertOrUpdate(HmRightsShopOrigin record);

    int insertOrUpdateSelective(HmRightsShopOrigin record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(HmRightsShopOrigin record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    HmRightsShopOrigin selectByPrimaryKey(Long id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(HmRightsShopOrigin record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(HmRightsShopOrigin record);

    int updateBatch(List<HmRightsShopOrigin> list);

    int updateBatchSelective(List<HmRightsShopOrigin> list);

    int batchInsert(@Param("list") List<HmRightsShopOrigin> list);

    void cleanALl();

}
